#ifndef DMD_H_OUT_RAW_S16
#define DMD_H_OUT_RAW_S16

/*
	out_raw_s16: RAW stereo 16bit output device
	
	part of DerMixD
	(c)2005 Thomas Orgis, licensed under GPLv2
*/

//custom data structure for the writer thread
typedef struct raw_s16_writerextra
{
	int fd;
} raw_s16_writerextra;

//the class
class raw_s16_output: public output_device
{
	private:
		raw_s16_writerextra wextra;
		bool special_init();
		void special_exit();
		bool special_activate();
		void special_deactivate();
		void special_pause();
	
	public:
		static const string t;
		raw_s16_output(output_data* odi, unsigned int bufsize);
		~raw_s16_output();
		string type(){ return t; };
};

#endif
