/*
	input_actions: the world of input worker actions

	part of DerMixD
	(c)2008 Thomas Orgis, licensed under GPLv2
*/
#include "action.hxx"
#include "input_actions.hxx"

const action_def inwork_api[] =
{
	 { INWORK_NOTHING, "", "", 0, {                  }, {            }, 0 }
	,{ INWORK_PLAY,    "", "", 1, { "wanted samples" }, { ACT_INT    }, 0 }
	,{ INWORK_SEEK,    "", "", 1, { "sample offset"  }, { ACT_INT    }, 0 }
	,{ INWORK_PRESEEK, "", "", 1, { "sample offset"  }, { ACT_INT    }, 0 }
	,{ INWORK_EQ,      "", "", 3, { "bass", "mid", "treble" }, { ACT_FLOAT, ACT_FLOAT, ACT_FLOAT }, 0}
	,{ INWORK_OPEN,    "", "", 1, { "location"       }, { ACT_STRING }, 0 }
	,{ INWORK_CLOSE,   "", "", 0, {                  }, {            }, 0 }
	,{ INWORK_LENGTH,  "", "", 0, {                  }, {            }, 0 }
	,{ INWORK_QUIT,    "", "", 0, {                  }, {            }, 0 }
	,{ INWORK_SCAN,    "", "", 1, { "scan list"      }, { ACT_STRING }, 0 }
};
