#ifndef DMD_H_INPUT_ACTIONS
#define DMD_H_INPUT_ACTIONS
/*
	input_actions: the world of input worker actions

	part of DerMixD
	(c)2008 Thomas Orgis, licensed under GPLv2
*/

#include "action.hxx"
// Close and quit may be different in future.
// These are strictly ordered to allow use as indices in inwork_api. 
// INWORK_CLOSE not handled currently, just INWORK_QUIT
enum inwork_act { INWORK_NOTHING=0, INWORK_PLAY, INWORK_SEEK, INWORK_PRESEEK,
                  INWORK_EQ, INWORK_OPEN, INWORK_CLOSE, INWORK_LENGTH, INWORK_QUIT, INWORK_SCAN };
/* The set of action definitions, to be accessed via index.
   This is _not_ for parsing as there is no end marker in this array!. */
extern const action_def inwork_api[];

#endif
