/*
	param_init: initialization of the parameters
	
	part of DerMixD
	(c)2005 Thomas Orgis, licensed under GPLv2
*/

#include "common.hxx"

void define(const string group, const string name, const string value, const string help)
{
	param.define(group, name, value, help);
}

//just sourcing all the module configs
void param_init()
{
	#include "main_parm.hxx"
	#include "in_mpg123_parm.hxx"
	#include "out_alsa_parm.hxx"
	#include "audio_fifo_parm.hxx"
}
