#include "../common.hxx"
#include "../action.hxx"
#include "../communicator_actions.hxx"

int main(int argc, char* argv[])
{
	int ret = 0;
	action* a = new action(external_api);
	string command;
	string* msg = new string;
	for(int i = 1; i < argc; ++i)
	{
		command = argv[i];
		cout << "parsing: " << command << endl;
		if(a->parse(command) != a->good) cout << "strange: return of parse != good value!" << endl;
		msg->clear();
		a->success(*msg);
		cout << *msg << endl;
		if(a->good)
		{
			string commander;
			if(a->print(commander))
			{
				//checking if print with subaction works
				if(a->subaction != NULL)
				{
					a->strings.pop_back();
					string commtwo;
					if(a->print(commtwo))
					{
						if(commtwo != commander)
						{
							cout << "[subaction variant differs!]" << endl;
							cout << "commtwo: " << commtwo << endl;;
						}
					}
					else{ cout << " [error printing subaction variant!]"; ++ret; }
				}
				cout << "reconstructed command: " << commander;
			}
			else
			{
				cout << "print failed!, had so far: " << commander;
				++ret;
			}
			cout << endl;
		}
		else ++ret;
	}
	return ret;
}
